## python-requests-mock 1.6.0

=== requirements.txt ===
requests>=2.3
six

## python-requests-mock 0.4.0

=== debian/changelog ===
python-requests-mock (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #754537)

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2014 15:30:04 +0800

=== debian/control ===
Source: python-requests-mock
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-fixtures,
                     python-mock,
                     python-requests (>= 2.3.0),
                     python-six,
                     python-subunit,
                     python-testtools,
                     python-urllib3,
                     python3-fixtures,
                     python3-mock,
                     python3-requests (>= 2.3.0),
                     python3-six,
                     python3-subunit,
                     python3-testtools,
                     python3-urllib3,
                     subunit,
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-requests-mock.git
Vcs-Git: git://anonscm.debian.org/openstack/python-requests-mock.git
Homepage: https://github.com/jamielennox/requests-mock

Package: python-requests-mock
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-requests (>= 2.3.0), python-six, ${misc:Depends}, ${python:Depends}
Description: mock out responses from the requests package - Python 2.x
 requests-mock provides a building block to stub out the HTTP requests_
 portions of your testing code. Everything in requests_ eventually goes through
 an adapter to do the transport work. requests-mock creates a custom adatper
 that allows you to predefine responses when certain URIs are called. There are
 then a number of methods provided to get the adapter used.
 .
 This package contains the Python 2.x module.

Package: python3-requests-mock
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-requests (>= 2.3.0), python3-six, ${misc:Depends}, ${python3:Depends}
Description: mock out responses from the requests package - Python 3.x
 requests-mock provides a building block to stub out the HTTP requests_
 portions of your testing code. Everything in requests_ eventually goes through
 an adapter to do the transport work. requests-mock creates a custom adatper
 that allows you to predefine responses when certain URIs are called. There are
 then a number of methods provided to get the adapter used.
 .
 This package contains the Python 3.x module.

Package: python-requests-mock-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: mock out responses from the requests package - doc
 requests-mock provides a building block to stub out the HTTP requests_
 portions of your testing code. Everything in requests_ eventually goes through
 an adapter to do the transport work. requests-mock creates a custom adatper
 that allows you to predefine responses when certain URIs are called. There are
 then a number of methods provided to get the adapter used.
 .
  This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/jamielennox/requests-mock.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-requests-mock; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-requests-mock; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html docs debian/python-requests-mock-doc/usr/share/doc/python-requests-mock-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-requests-mock 0.5.1

=== debian/changelog ===
python-requests-mock (0.5.1-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - d/p/*: Refreshed.
  * d/watch: Fixup pypi parsing.
  * d/control: Bumped Standards-Version to 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Dec 2014 17:26:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-requests-mock
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
@@ -31,7 +32,7 @@
                      python3-urllib3,
                      subunit,
                      testrepository (>= 0.0.18)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-requests-mock.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-requests-mock.git
 Homepage: https://github.com/jamielennox/requests-mock

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/r/requests-mock/ requests-mock-(.*).tar.gz

## python-requests-mock 0.6.0

=== debian/changelog ===
python-requests-mock (0.6.0-2~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 09 Jun 2015 09:11:01 +0000

python-requests-mock (0.6.0-2) unstable; urgency=medium

  * Fixed Uploaders: field.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Apr 2015 14:18:52 +0000

python-requests-mock (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed new python-requests required version.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Dec 2014 10:04:53 +0800

=== debian/control ===
Source: python-requests-mock
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-fixtures,
                     python-mock,
                     python-requests,
                     python-six,
                     python-testtools,
                     python-urllib3,
                     python3-fixtures,
                     python3-mock,
                     python3-requests,
                     python3-six,
                     python3-subunit,
                     python3-testtools,
                     python3-urllib3,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-requests-mock.git
Vcs-Git: git://anonscm.debian.org/openstack/python-requests-mock.git
Homepage: https://github.com/jamielennox/requests-mock

Package: python-requests-mock
Architecture: all
Depends: python-requests,
         python-six,
         ${misc:Depends},
         ${python:Depends},
Description: mock out responses from the requests package - Python 2.x
 requests-mock provides a building block to stub out the HTTP requests_
 portions of your testing code. Everything in requests_ eventually goes through
 an adapter to do the transport work. requests-mock creates a custom adatper
 that allows you to predefine responses when certain URIs are called. There are
 then a number of methods provided to get the adapter used.
 .
 This package contains the Python 2.x module.

Package: python3-requests-mock
Architecture: all
Depends: python3-requests,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Description: mock out responses from the requests package - Python 3.x
 requests-mock provides a building block to stub out the HTTP requests_
 portions of your testing code. Everything in requests_ eventually goes through
 an adapter to do the transport work. requests-mock creates a custom adatper
 that allows you to predefine responses when certain URIs are called. There are
 then a number of methods provided to get the adapter used.
 .
 This package contains the Python 3.x module.

Package: python-requests-mock-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: mock out responses from the requests package - doc
 requests-mock provides a building block to stub out the HTTP requests_
 portions of your testing code. Everything in requests_ eventually goes through
 an adapter to do the transport work. requests-mock creates a custom adatper
 that allows you to predefine responses when certain URIs are called. There are
 then a number of methods provided to get the adapter used.
 .
  This package contains the documentation.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/r/requests-mock requests-mock-(.*).tar.gz

## python-requests-mock 0.7.0

=== debian/changelog ===
python-requests-mock (0.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 10:06:54 +0000

python-requests-mock (0.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 15:05:30 +0100

=== debian/control ===
--- 
+++ 
@@ -28,9 +28,9 @@
                      python3-urllib3,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-requests-mock.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-requests-mock.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-requests-mock.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-requests-mock.git
 Homepage: https://github.com/jamielennox/requests-mock
 
 Package: python-requests-mock

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/jamielennox/requests-mock.git
+UPSTREAM_GIT = git://github.com/openstack/requests-mock.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -11,12 +11,12 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
+override_dh_auto_install:
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-requests-mock; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-requests-mock; \
 	done

## python-requests-mock 1.0.0

=== debian/changelog ===
python-requests-mock (1.0.0-3+4~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 12:52:33 +0000

python-requests-mock (1.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 14:33:53 +0200

python-requests-mock (1.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Corey Bryant ]
  * New upstream release.
  * d/p/*: Rebased.

  [ Thomas Goirand ]
  * Added Corey as uploaders.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 14:32:46 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr,
                python-setuptools,
@@ -28,9 +29,9 @@
                      python3-urllib3,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-requests-mock.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-requests-mock.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-requests-mock?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-requests-mock -b debian/newton
 Homepage: https://github.com/jamielennox/requests-mock
 
 Package: python-requests-mock

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/requests-mock.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html docs debian/python-requests-mock-doc/usr/share/doc/python-requests-mock-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-requests-mock 1.1.0

=== debian/changelog ===
python-requests-mock (1.1.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2016 09:00:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-requests-mock
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
@@ -30,8 +31,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-requests-mock?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-requests-mock -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-requests-mock
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-requests-mock
 Homepage: https://github.com/jamielennox/requests-mock
 
 Package: python-requests-mock

## python-requests-mock 1.3.0

=== debian/changelog ===
python-requests-mock (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compat level to 10.
  * Testsuite: autopkgtest-pkg-python
  * Updating standards version to 4.1.1.
  * Use Python 3 version of Sphinx

 -- Ondřej Nový <onovy@debian.org>  Sat, 18 Nov 2017 15:00:46 +0100

python-requests-mock (1.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed typo in long desc.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:12:29 +0000

python-requests-mock (1.3.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased no-intersphinx.patch.
  * Fixed new path for doc source.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Sep 2017 20:45:05 +0000

=== debian/control ===
Source: python-requests-mock
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr,
 python-setuptools,
 python3-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-fixtures,
 python-mock,
 python-requests,
 python-six,
 python-testtools,
 python-urllib3,
 python3-fixtures,
 python3-mock,
 python3-requests,
 python3-six,
 python3-subunit,
 python3-testtools,
 python3-urllib3,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-requests-mock.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-requests-mock.git
Homepage: https://github.com/jamielennox/requests-mock
Testsuite: autopkgtest-pkg-python

Package: python-requests-mock
Architecture: all
Depends:
 python-requests,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: mock out responses from the requests package - Python 2.x
 requests-mock provides a building block to stub out the HTTP requests_
 portions of your testing code. Everything in requests_ eventually goes through
 an adapter to do the transport work. requests-mock creates a custom adapter
 that allows you to predefine responses when certain URIs are called. There are
 then a number of methods provided to get the adapter used.
 .
 This package contains the Python 2.x module.

Package: python-requests-mock-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: mock out responses from the requests package - doc
 requests-mock provides a building block to stub out the HTTP requests_
 portions of your testing code. Everything in requests_ eventually goes through
 an adapter to do the transport work. requests-mock creates a custom adapter
 that allows you to predefine responses when certain URIs are called. There are
 then a number of methods provided to get the adapter used.
 .
  This package contains the documentation.

Package: python3-requests-mock
Architecture: all
Depends:
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: mock out responses from the requests package - Python 3.x
 requests-mock provides a building block to stub out the HTTP requests_
 portions of your testing code. Everything in requests_ eventually goes through
 an adapter to do the transport work. requests-mock creates a custom adapter
 that allows you to predefine responses when certain URIs are called. There are
 then a number of methods provided to get the adapter used.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
-	sphinx-build -b html docs debian/python-requests-mock-doc/usr/share/doc/python-requests-mock-doc/html
+	sphinx-build -b html doc/source debian/python-requests-mock-doc/usr/share/doc/python-requests-mock-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

## python-requests-mock 1.4.0

=== debian/changelog ===
python-requests-mock (1.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 17:32:35 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  python-all,
  python-pbr,
  python-setuptools,
- python3-sphinx,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
  python-fixtures,
  python-mock,
@@ -32,9 +32,9 @@
  python3-urllib3,
  subunit,
  testrepository,
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-requests-mock.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-requests-mock.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-requests-mock
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-requests-mock.git
 Homepage: https://github.com/jamielennox/requests-mock
 Testsuite: autopkgtest-pkg-python

## python-requests-mock 1.5.2

=== debian/changelog ===
python-requests-mock (1.5.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 16:56:31 +0200

python-requests-mock (1.5.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Fixed upstream VCS in debian/rules.
  * New upstream release.
  * Rebased patches.
  * Remove reno sphinx extension from doc/sources/conf.py.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 14:20:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-requests-mock
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/requests-mock.git
+UPSTREAM_GIT := https://github.com/jamielennox/requests-mock
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -19,7 +19,13 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-requests-mock-doc/usr/share/doc/python-requests-mock-doc/html
+	if PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-requests-mock-doc/usr/share/doc/python-requests-mock-doc/html ; then \
+		echo "All ok" ; \
+	else \
+		echo "Error..." ; \
+		cat /tmp/sphinx-err* ; \
+		exit 1 ; \
+	fi
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

## python-requests-mock 1.6.0

=== debian/changelog ===
python-requests-mock (1.6.0-2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:53:22 +0000

python-requests-mock (1.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 00:58:24 +0200

python-requests-mock (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-purl as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2019 23:24:54 +0200

python-requests-mock (1.5.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938139).
  * Add fix-.testr.conf-to-use-python3.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 21:40:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,17 @@
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools (>= 52~),
- python-all,
- python-pbr,
- python-setuptools,
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python-fixtures,
- python-mock,
- python-requests,
- python-six,
- python-testtools,
- python-urllib3,
  python3-fixtures,
  python3-mock,
+ python3-purl,
  python3-requests,
  python3-six,
  python3-subunit,
@@ -37,22 +29,6 @@
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-requests-mock.git
 Homepage: https://github.com/jamielennox/requests-mock
 Testsuite: autopkgtest-pkg-python
-
-Package: python-requests-mock
-Architecture: all
-Depends:
- python-requests,
- python-six,
- ${misc:Depends},
- ${python:Depends},
-Description: mock out responses from the requests package - Python 2.x
- requests-mock provides a building block to stub out the HTTP requests_
- portions of your testing code. Everything in requests_ eventually goes through
- an adapter to do the transport work. requests-mock creates a custom adapter
- that allows you to predefine responses when certain URIs are called. There are
- then a number of methods provided to get the adapter used.
- .
- This package contains the Python 2.x module.
 
 Package: python-requests-mock-doc
 Section: doc

## python-requests-mock 1.7.0

=== debian/changelog ===
python-requests-mock (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:37:17 +0200

python-requests-mock (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Apr 2020 12:57:52 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/jamielennox/requests-mock
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
	if PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-requests-mock-doc/usr/share/doc/python-requests-mock-doc/html ; then \
		echo "All ok" ; \
	else \
		echo "Error..." ; \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc -O--buildsystem=python_distutils

## python-requests-mock 1.9.3

=== debian/changelog ===
python-requests-mock (1.9.3-3) unstable; urgency=medium

  * Cleans better (Closes: #1046396).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 00:04:02 +0200

python-requests-mock (1.9.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:31:22 +0200

python-requests-mock (1.9.3-1) experimental; urgency=medium

  * New upstream release.
  * Rebased removed-privacy-breach-in-docs.patch.
  * Added build-depends: python3-pytest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 10:32:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-requests-mock 1.11.0

=== debian/changelog ===
python-requests-mock (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.
  * Removed testrepository from build-depends, now using pytest.
  * Drop fix-.testr.conf-to-use-python3.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 09:29:35 +0100

python-requests-mock (1.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:31:17 +0200

python-requests-mock (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-requests-futures as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 15:02:43 +0200

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,15 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-fixtures,
- python3-mock,
  python3-purl,
+ python3-pytest,
  python3-requests,
+ python3-requests-futures,
  python3-six,
  python3-subunit,
  python3-testtools,
  python3-urllib3,
  subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-requests-mock
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-requests-mock.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info
+	rm -rf build .stestr *.egg-info .pytest_cache
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
@@ -19,7 +19,9 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	set -e ; set -x ; for pyvers in `py3versions -vr 2>/dev/null` ; do \
+		PYTHONPATH=. python$$pyvers -m pytest -v tests -k 'not test_simple and not test_one'; \
+	done
 endif
 
 override_dh_sphinxdoc:

## python-requests-mock 1.12.1

=== debian/changelog ===
python-requests-mock (1.12.1-3) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:42:02 +0100

python-requests-mock (1.12.1-2) unstable; urgency=medium

  * Removed python3-six (build-)depends (Closes: #1069954).
  * Add many things to [project]/dynamic in pyproject.toml (Closes: #1077523).

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Aug 2024 13:21:15 +0200

python-requests-mock (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to pybuild.
  * Use setuptools-scm.
  * add-packages-to-setuptools.patch.
  * Build-Depends on testtools >= 2.7.2 (Closes: #1073457).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Jul 2024 01:15:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,11 @@
  debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools (>= 99~),
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
 Build-Depends-Indep:
  python3-fixtures,
@@ -19,9 +21,8 @@
  python3-pytest,
  python3-requests,
  python3-requests-futures,
- python3-six,
  python3-subunit,
- python3-testtools,
+ python3-testtools (>= 2.7.2),
  python3-urllib3,
  subunit,
 Standards-Version: 4.1.3
@@ -49,7 +50,6 @@
 Architecture: all
 Depends:
  python3-requests,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: mock out responses from the requests package - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/jamielennox/requests-mock
include /usr/share/openstack-pkg-tools/pkgos.make

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)
export PYBUILD_NAME=requests-mock

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_sphinxdoc:
	if PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-requests-mock-doc/usr/share/doc/python-requests-mock-doc/html ; then \
		echo "All ok" ; \
	else \
		echo "Error..." ; \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/requests-mock/tags .*/(\d[\d\.]+)\.tar\.gz
